From 5f33322b8725261b61f901a8116860b8426d7ec7 Mon Sep 17 00:00:00 2001
From: Lubomír Sedlář <lsedlar@redhat.com>
Date: Nov 19 2019 14:17:37 +0000
Subject: Fix wrong name field in generated repo file


JIRA: COMPOSE-3951

---

diff --git a/compose_utils/repo_file.py b/compose_utils/repo_file.py
index 4edbc37..16e5803 100644
--- a/compose_utils/repo_file.py
+++ b/compose_utils/repo_file.py
@@ -10,7 +10,7 @@ import productmd
 
 REPO = """\
 [{name}]
-named = {name}
+name = {name}
 baseurl = {baseurl}
 enabled = {enabled}
 gpgcheck = 0
diff --git a/tests/fixtures/client.repo b/tests/fixtures/client.repo
index 9a705ef..aaab9e4 100644
--- a/tests/fixtures/client.repo
+++ b/tests/fixtures/client.repo
@@ -1,5 +1,5 @@
 [DP-1.0-Client-rpms]
-named = DP-1.0-Client-rpms
+name = DP-1.0-Client-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Client/$basearch/os
 enabled = 1
 gpgcheck = 0
diff --git a/tests/fixtures/debuginfo.repo b/tests/fixtures/debuginfo.repo
index 668bf85..75474c8 100644
--- a/tests/fixtures/debuginfo.repo
+++ b/tests/fixtures/debuginfo.repo
@@ -1,23 +1,23 @@
 [DP-1.0-Client-rpms]
-named = DP-1.0-Client-rpms
+name = DP-1.0-Client-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Client/$basearch/os
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Client-debuginfo-rpms]
-named = DP-1.0-Client-debuginfo-rpms
+name = DP-1.0-Client-debuginfo-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Client/$basearch/debug/tree
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Server-rpms]
-named = DP-1.0-Server-rpms
+name = DP-1.0-Server-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Server/$basearch/os
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Server-debuginfo-rpms]
-named = DP-1.0-Server-debuginfo-rpms
+name = DP-1.0-Server-debuginfo-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Server/$basearch/debug/tree
 enabled = 1
 gpgcheck = 0
diff --git a/tests/fixtures/default.repo b/tests/fixtures/default.repo
index 6c739c0..ddd1eae 100644
--- a/tests/fixtures/default.repo
+++ b/tests/fixtures/default.repo
@@ -1,11 +1,11 @@
 [DP-1.0-Client-rpms]
-named = DP-1.0-Client-rpms
+name = DP-1.0-Client-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Client/$basearch/os
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Server-rpms]
-named = DP-1.0-Server-rpms
+name = DP-1.0-Server-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Server/$basearch/os
 enabled = 1
 gpgcheck = 0
diff --git a/tests/fixtures/sources.repo b/tests/fixtures/sources.repo
index b4f10f5..9fae01c 100644
--- a/tests/fixtures/sources.repo
+++ b/tests/fixtures/sources.repo
@@ -1,23 +1,23 @@
 [DP-1.0-Client-rpms]
-named = DP-1.0-Client-rpms
+name = DP-1.0-Client-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Client/$basearch/os
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Client-source-rpms]
-named = DP-1.0-Client-source-rpms
+name = DP-1.0-Client-source-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Client/source/tree
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Server-rpms]
-named = DP-1.0-Server-rpms
+name = DP-1.0-Server-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Server/$basearch/os
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Server-source-rpms]
-named = DP-1.0-Server-source-rpms
+name = DP-1.0-Server-source-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Server/source/tree
 enabled = 1
 gpgcheck = 0
diff --git a/tests/fixtures/translate.repo b/tests/fixtures/translate.repo
index 53dc702..853dc7a 100644
--- a/tests/fixtures/translate.repo
+++ b/tests/fixtures/translate.repo
@@ -1,11 +1,11 @@
 [DP-1.0-Client-rpms]
-named = DP-1.0-Client-rpms
+name = DP-1.0-Client-rpms
 baseurl = http://example.com/composes/DP-1.0-20160315.t.0/compose/Client/$basearch/os
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Server-rpms]
-named = DP-1.0-Server-rpms
+name = DP-1.0-Server-rpms
 baseurl = http://example.com/composes/DP-1.0-20160315.t.0/compose/Server/$basearch/os
 enabled = 1
 gpgcheck = 0
diff --git a/tests/fixtures/x86_64.repo b/tests/fixtures/x86_64.repo
index 1b80ba0..84332ea 100644
--- a/tests/fixtures/x86_64.repo
+++ b/tests/fixtures/x86_64.repo
@@ -1,11 +1,11 @@
 [DP-1.0-Client-rpms]
-named = DP-1.0-Client-rpms
+name = DP-1.0-Client-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Client/x86_64/os
 enabled = 1
 gpgcheck = 0
 
 [DP-1.0-Server-rpms]
-named = DP-1.0-Server-rpms
+name = DP-1.0-Server-rpms
 baseurl = file:///composes/DP-1.0-20160315.t.0/compose/Server/x86_64/os
 enabled = 1
 gpgcheck = 0

